/*****************************************************************************/
/*                      WiNRADiO G69DDC EXCELSIOR ULTRA                      */
/*                                SDK DEMO                                   */
/*                        (c) Copyright RADIXON 2022                         */
/*****************************************************************************/

#ifndef __U_DEFS_H__
#define __U_DEFS_H__

#define APP_TITLE           "G69DDC SDK Demo"
#define APP_TITLE_WX        wxT(APP_TITLE)

//ms
#define UPDATE_INTERVAL     50

#define RBW_COUNT           6

#define MIN_FFT_SIZE        1024
#define MAX_FFT_SIZE        32768

#define MIN_IF_FFT_SIZE     4096
#define MAX_IF_FFT_SIZE     131072

#define ATTENUATOR_0dB      0
#define ATTENUATOR_3dB      1
#define ATTENUATOR_6dB      2
#define ATTENUATOR_9dB      3
#define ATTENUATOR_12dB     4
#define ATTENUATOR_15dB     5
#define ATTENUATOR_18dB     6
#define ATTENUATOR_21dB     7
#define ATTENUATOR_MAX      ATTENUATOR_21dB

#define PRESEL_COUNT        5

#define ADC_SAMPLE_RATE     200000000

#define SWEEPER_STEP        G69DDC_SWEEPER_STEP_30MHZ

#endif
